# $Revision: 1.2 $, $Date: 2004/02/20 10:58:04 $
Summary:	tcpdump trace file analyzer
Summary(pl):	Analizator pliku ledzenia tcpdump
Name:		tcpdstat-uw
Version:	1.0
Release:	1
License:	GPL
Group:		Applications/Networking
Source0:	http://staff.washington.edu/dittrich/talks/core02/tools/%{name}.tar
# Source0-md5:	64b246fb0a4ee47ae37e83d721b205df
URL:		http://www.csl.sony.co.jp/person/kjc/papers/freenix2000/node14.html
BuildRequires:	libpcap-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tcpdstat a program to extract statistical information from tcpdump
trace files. Tcpdstat reads a tcpdump file using the pcap library and
prints the statistics of a trace. The output includes the number of
packets, the average rate and its standard deviation, the number of
unique source and destination address pairs, and the breakdown of
protocols. Tcpdstat is intended to provide a rough idea of the trace
content. The output can be easily converted to a HTTP format. It also
provides helpful information to find anomaly in a trace.

%description -l pl
Tcpdstat jest programem wyuskujcym statystyki z plikw ledzenia
tcpdumpa. Tcpdstat czyta taki plik uywajc biblioteki pcap i
wywietla statystyki ledzenia. Wyjcie zawiera liczb pakietw,
redni przepywno i jej odchylenie standardowe, liczb unikalnych
par adresw rde i celw oraz rozkad protokow. Tcpdstat ma
zapewnia oglny ogld przeledzonych pocze. Wyjcie moe by atwo
przekonwertowane na format HTTP. Podaje rwnie informacje przydatne w
odnajdywaniu anomalii.

%prep
%setup -q -n %{name}

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	INCLUDES="-I."

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install tcpdstat $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.uw
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tcpdstat-uw.spec,v $
Revision 1.2  2004/02/20 10:58:04  qboosh
- use optflags, don't include queue(3) man (belongs to glibc-devel)

Revision 1.1  2004/02/20 09:32:22  gotar
- initial PLD release

Revision 1.1  2004/02/20 09:05:09  gotar
- initial PLD release
